<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.redhat</groupId>
	<artifactId>example</artifactId>
	<version>1.0.0</version>
	<packaging>kjar</packaging>
	<name>Empty Project</name>

	<properties>
		<drools.version>6.3.0.Final-redhat-7</drools.version>
		<hibernate.core.version>4.2.22.Final-redhat-1</hibernate.core.version>
		<workitem.version>6.3.0.Final-redhat-7</workitem.version>
		<jbpm.version>6.3.0.Final-redhat-7</jbpm.version>

		<jboss.javaee.version>1.0.0.Final</jboss.javaee.version>
		<slf4j.version>1.6.4</slf4j.version>
		<h2.version>1.3.161</h2.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<hibernate.version>4.2.0.Final</hibernate.version>
		<logback.version>1.0.9</logback.version>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.drools</groupId>
				<artifactId>drools-bom</artifactId>
				<version>${drools.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>org.jbpm</groupId>
				<artifactId>jbpm-bom</artifactId>
				<version>${jbpm.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<dependencies>
		<dependency>
			<groupId>org.jbpm</groupId>
			<artifactId>jbpm-flow</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jbpm</groupId>
			<artifactId>jbpm-flow-builder</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jbpm</groupId>
			<artifactId>jbpm-bpmn2</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jbpm</groupId>
			<artifactId>jbpm-persistence-jpa</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jbpm</groupId>
			<artifactId>jbpm-human-task-core</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jbpm</groupId>
			<artifactId>jbpm-runtime-manager</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>${slf4j.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jboss.spec</groupId>
			<artifactId>jboss-javaee-6.0</artifactId>
			<version>${jboss.javaee.version}</version>
			<type>pom</type>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-entitymanager</artifactId>
			<version>${hibernate.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
			<version>${hibernate.core.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.h2database</groupId>
			<artifactId>h2</artifactId>
			<version>${h2.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.codehaus.btm</groupId>
			<artifactId>btm</artifactId>
			<version>2.1.4</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jbpm</groupId>
			<artifactId>jbpm-workitems</artifactId>
			<!-- <version>${workitem.version}</version> -->
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.17</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.sparkjava</groupId>
			<artifactId>spark-core</artifactId>
			<version>2.3</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.codehaus.jackson</groupId>
			<artifactId>jackson-mapper-asl</artifactId>
			<version>1.9.13</version>
			<scope>provided</scope>
		</dependency>

		<!-- TEST -->
		<dependency>
			<groupId>com.sun.jersey</groupId>
			<artifactId>jersey-client</artifactId>
			<version>1.19</version>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>com.sun.jersey</groupId>
			<artifactId>jersey-grizzly2</artifactId>
			<version>1.19</version>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>org.jbpm</groupId>
			<artifactId>jbpm-test</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-classic</artifactId>
			<version>${logback.version}</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.8.1</version>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>com.redhat</groupId>
			<artifactId>credicoop</artifactId>
			<version>1.1-redhat</version>
		</dependency>
		<dependency>
			<groupId>coop.credicoop</groupId>
			<artifactId>commons-lang-2.4</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>coop.credicoop</groupId>
			<artifactId>gdp-monitor-acom-client-1.0.0</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>coop.credicoop</groupId>
			<artifactId>gdp-monitor-client-1.0.0</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>coop.credicoop</groupId>
			<artifactId>shared-dto-1.0.0</artifactId>
			<version>1.0</version>
		</dependency>

		<dependency>
			<groupId>coop.credicoop</groupId>
			<artifactId>gdp-vinculo-client-1.0.0</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>coop.credicoop</groupId>
			<artifactId>jaxrs-api-2.0.0.GA</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>coop.credicoop</groupId>
			<artifactId>resteasy-jaxb-provider-2.0.0.GA</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>coop.credicoop</groupId>
			<artifactId>shared-rest-client-1.0.0</artifactId>
			<version>1.0</version>
		</dependency>

	</dependencies>
	<repositories>
		 <repository>
                        <id>bpms</id>
                        <url>http://localhost:8080/business-central/maven2</url>
                </repository>
		<repository>
			<id>redhat-techpreview</id>
			<name>Redhat Repository</name>
			<url>https://maven.repository.redhat.com/techpreview/all/</url>
		</repository>
	</repositories>
	<pluginRepositories>
		<pluginRepository>
			<id>redhat-techpreview</id>
			<name>Redhat Repository</name>
			<url>https://maven.repository.redhat.com/techpreview/all/</url>
		</pluginRepository>
	</pluginRepositories>
	<build>
		<plugins>
			<plugin>
				<groupId>org.kie</groupId>
				<artifactId>kie-maven-plugin</artifactId>
				<version>6.3.0.Final-redhat-7</version>
				<extensions>true</extensions>
			</plugin>
			<!-- any other plugins -->
			<!-- <plugin> -->
			<!-- <artifactId>maven-assembly-plugin</artifactId> -->
			<!-- <version>2.4</version> -->
			<!-- <executions> -->
			<!-- <execution> -->
			<!-- <phase>package</phase> -->
			<!-- <goals> -->
			<!-- <goal>single</goal> -->
			<!-- </goals> -->
			<!-- </execution> -->
			<!-- </executions> -->
			<!-- <configuration> -->
			<!-- <descriptorRefs> -->
			<!-- <descriptorRef>jar-with-dependencies</descriptorRef> -->
			<!-- </descriptorRefs> -->
			<!-- </configuration> -->
			<!-- </plugin> -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.5.1</version>
				<configuration>
					<source>1.6</source>
					<target>1.6</target>
					<testSource>1.6</testSource>
					<testTarget>1.6</testTarget>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<distributionManagement>
		<repository>
			<id>bpms</id>
			<url>http://localhost:8080/business-central/maven2</url>
		</repository>
		<snapshotRepository>
			<id>bpms</id>
			<url>http://localhost:8080/business-central/maven2</url>
		</snapshotRepository>
	</distributionManagement>
</project>
